aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/common-utils/configure_zsh_as_default_shell.sh2
-rw-r--r--test/common-utils/configure_zsh_no_template.sh15
-rw-r--r--test/common-utils/scenarios.json11
3 files changed, 28 insertions, 0 deletions
diff --git a/test/common-utils/configure_zsh_as_default_shell.sh b/test/common-utils/configure_zsh_as_default_shell.sh
index e5cc89e..6a569a9 100644
--- a/test/common-utils/configure_zsh_as_default_shell.sh
+++ b/test/common-utils/configure_zsh_as_default_shell.sh
@@ -7,6 +7,8 @@ source dev-container-features-test-lib
# Definition specific tests
check "default-shell-is-zsh" bash -c "getent passwd $(whoami) | awk -F: '{ print $7 }' | grep '/bin/zsh'"
+# check it overrides the ~/.zshrc with default dev containers template
+check "default-zshrc-is-dev-container-template" bash -c "cat ~/.zshrc | grep ZSH_THEME | grep devcontainers"
# Report result
reportResults
diff --git a/test/common-utils/configure_zsh_no_template.sh b/test/common-utils/configure_zsh_no_template.sh
new file mode 100644
index 0000000..c62cae9
--- /dev/null
+++ b/test/common-utils/configure_zsh_no_template.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+function file_not_overridden() {
+ cat ~/.zshrc | grep 'alias fnomockalias=' | grep testingmock
+}
+check "default-zsh-with-no-zshrc" file_not_overridden
+
+# Report result
+reportResults
diff --git a/test/common-utils/scenarios.json b/test/common-utils/scenarios.json
index 9800242..904a47b 100644
--- a/test/common-utils/scenarios.json
+++ b/test/common-utils/scenarios.json
@@ -115,6 +115,17 @@
}
}
},
+ "configure_zsh_no_template": {
+ "image": "mcr.microsoft.com/devcontainers/base:ubuntu",
+ "postCreateCommand": "echo alias fnomockalias=testingmock >> /root/.zshrc",
+ "remoteUser": "root",
+ "features": {
+ "common-utils": {
+ "installZsh": true,
+ "installOhMyZshConfig": false
+ }
+ }
+ },
"config-subdirectory": {
"image": "alpine",
"remoteUser": "devcontainer",